package com.aucma.dms.domain;

import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;



/**
 * AGV位移状态对象 wcs_agv_status
 * 
 * @author Yinq
 * @date 2024-08-21
 */
public class WcsAgvStatus extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 电量 */
    @Excel(name = "电量")
    private String battery;

    /** 是否已被排除，被排除后不接受新任务（ 1-排除， 0-正常） */
    @Excel(name = "是否已被排除，被排除后不接受新任务", readConverterExp = "1=-排除，,0=-正常")
    private String exclType;

    /** 地图编号 */
    @Excel(name = "地图编号")
    private String mapCode;

    /** 是否在线 */
    @Excel(name = "是否在线")
    private String online;

    /** 路线 */
    @Excel(name = "路线")
    private String path;

    /** 背货架的编号 */
    @Excel(name = "背货架的编号")
    private String podCode;

    /** 背货架的方向 */
    @Excel(name = "背货架的方向")
    private String podDir;

    /** X */
    @Excel(name = "X")
    private String posX;

    /** Y */
    @Excel(name = "Y")
    private String posY;

    /** 机器人编号 */
    private String robotCode;

    /** 机器人方向 (范围 -180~360度) */
    @Excel(name = "机器人方向 (范围 -180~360度)")
    private String robotDir;

    /** 机器人Ip */
    @Excel(name = "机器人Ip")
    private String robotIp;

    /** 机器人速度 */
    @Excel(name = "机器人速度")
    private String speed;

    /** 机器人状态 */
    @Excel(name = "机器人状态")
    private String status;

    /** 是否暂停 0-否 1-是 */
    @Excel(name = "是否暂停 0-否 1-是")
    private String stop;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date timestamp;

    /** 小车名称 */
    @Excel(name = "小车名称")
    private String agvName;

    public void setBattery(String battery) 
    {
        this.battery = battery;
    }

    public String getBattery() 
    {
        return battery;
    }
    public void setExclType(String exclType) 
    {
        this.exclType = exclType;
    }

    public String getExclType() 
    {
        return exclType;
    }
    public void setMapCode(String mapCode) 
    {
        this.mapCode = mapCode;
    }

    public String getMapCode() 
    {
        return mapCode;
    }
    public void setOnline(String online) 
    {
        this.online = online;
    }

    public String getOnline() 
    {
        return online;
    }
    public void setPath(String path) 
    {
        this.path = path;
    }

    public String getPath() 
    {
        return path;
    }
    public void setPodCode(String podCode) 
    {
        this.podCode = podCode;
    }

    public String getPodCode() 
    {
        return podCode;
    }
    public void setPodDir(String podDir) 
    {
        this.podDir = podDir;
    }

    public String getPodDir() 
    {
        return podDir;
    }
    public void setPosX(String posX) 
    {
        this.posX = posX;
    }

    public String getPosX() 
    {
        return posX;
    }
    public void setPosY(String posY) 
    {
        this.posY = posY;
    }

    public String getPosY() 
    {
        return posY;
    }
    public void setRobotCode(String robotCode) 
    {
        this.robotCode = robotCode;
    }

    public String getRobotCode() 
    {
        return robotCode;
    }
    public void setRobotDir(String robotDir) 
    {
        this.robotDir = robotDir;
    }

    public String getRobotDir() 
    {
        return robotDir;
    }
    public void setRobotIp(String robotIp) 
    {
        this.robotIp = robotIp;
    }

    public String getRobotIp() 
    {
        return robotIp;
    }
    public void setSpeed(String speed) 
    {
        this.speed = speed;
    }

    public String getSpeed() 
    {
        return speed;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setStop(String stop) 
    {
        this.stop = stop;
    }

    public String getStop() 
    {
        return stop;
    }
    public void setTimestamp(Date timestamp) 
    {
        this.timestamp = timestamp;
    }

    public Date getTimestamp() 
    {
        return timestamp;
    }
    public void setAgvName(String agvName) 
    {
        this.agvName = agvName;
    }

    public String getAgvName() 
    {
        return agvName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("battery", getBattery())
            .append("exclType", getExclType())
            .append("mapCode", getMapCode())
            .append("online", getOnline())
            .append("path", getPath())
            .append("podCode", getPodCode())
            .append("podDir", getPodDir())
            .append("posX", getPosX())
            .append("posY", getPosY())
            .append("robotCode", getRobotCode())
            .append("robotDir", getRobotDir())
            .append("robotIp", getRobotIp())
            .append("speed", getSpeed())
            .append("status", getStatus())
            .append("stop", getStop())
            .append("timestamp", getTimestamp())
            .append("agvName", getAgvName())
            .toString();
    }
}
